<?php if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));


//custom comments

function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class('clearfix'); ?> id="li-comment-<?php comment_ID() ?>">

     <div id="comment-<?php comment_ID(); ?>">
	  <div class="comment-meta commentmetadata clearfix">
	   <?php echo get_avatar($comment,$size='36',$default='http://www.gravatar.com/avatar/61a58ec1c1fba116f8424035089b7c71?s=32&d=&r=G' ); ?>
	   <span> <?php printf(__('<strong>%s</strong>'), get_comment_author_link()) ?><?php edit_comment_link(__('(Edit)'),'  ','') ?> <br /><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?>
	  </span>
	  
	   <div class="text">
		  <?php comment_text() ?>
	  </div>
	  </div>
	  <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Your comment is awaiting moderation.') ?></em>
         <br />
      <?php endif; ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
     </div>
<?php }

add_action('admin_menu', 'xmas_theme_page');
function xmas_theme_page ()
{
	if ( count($_POST) > 0 && isset($_POST['xmas_settings']) )
	{
		$options = array ( 'logo_img','logo_alt','logo_txt','contact_email', 'analytics');
		
		foreach ( $options as $opt )
		{
			delete_option ( 'xmas_'.$opt, $_POST[$opt] );
			add_option ( 'xmas_'.$opt, $_POST[$opt] );	
		}	
		header("Location: admin.php?page=functions.php&saved=true");								
			
		die;		
	}
	add_theme_page(__('Xmas Options'), __('Xmas Options'), 'edit_themes', basename(__FILE__), 'xmas_settings');	
}
function xmas_settings ()
{?>
<div class="wrap">
	<h2>Xmas Options Panel</h2>
<form method="post" action="">
	<table class="form-table">
		<!-- General settings -->	
		<tr valign="top">
			<th scope="row"><label for="logo_img">Logo image (full path to image)</label></th>
			<td>
				<input name="logo_img" type="text" id="logo_img" value="<?php echo get_option('xmas_logo_img'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo_alt">Logo image ALT text</label></th>
			<td>
				<input name="logo_alt" type="text" id="logo_alt" value="<?php echo get_option('xmas_logo_alt'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo_txt">Text logo</label></th>
			<td>
				<input name="logo_txt" type="text" id="logo_txt" value="<?php echo get_option('xmas_logo_txt'); ?>" class="regular-text" />
				<br /><em>Leave this empty if you entered an image as logo</em>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="contact_email">Email Address for Contact Form</label></th>
			<td>
				<input name="contact_email" type="text" id="contact_email" value="<?php echo get_option('xmas_contact_email'); ?>" class="regular-text" />
			</td>
		</tr>
		<!-- Google Analytics -->
		<tr>
			<th><label for="ads">Google Analytics code:</label></th>
			<td>
				<textarea name="analytics" id="analytics" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('xmas_analytics')); ?></textarea>
			</td>
		</tr>
	</table>
	<p class="submit">
		<input type="submit" name="Submit" class="button-primary" value="Save Changes" />
		<input type="hidden" name="xmas_settings" value="save" style="display:none;" />
	</p>
</form>

</div>
<? }?>